=== examples/Makefile ===
# $Id: Makefile 22 2008-07-13 14:41:19Z mjambon $
.PHONY: clean jsonpp
jsonpp:
	ocamlscript jsonpp.ml sample.json > sample.html
clean:
	rm -f *.exe sample.html
