=== debian/changelog ===
easy-format (1.0.0-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 16:57:42 +0000

easy-format (1.0.0-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:33 -0600

easy-format (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #605680)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 02 Dec 2010 22:22:54 +0100
