=== debian/control ===
Source: easy-format
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  caml2html
Standards-Version: 3.9.1
Homepage: http://martin.jambon.free.fr/easy-format.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/easy-format.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/easy-format.git

Package: libeasy-format-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: text generation with indentation made easy(ier) for OCaml
 This module offers a simplified interface to the Format module of the
 standard library. Input data must be converted into a tree using 3 kinds
 of nodes: atoms, lists and labelled nodes. Each node is bound to its own
 formatting parameters and a single function call produces the formatted
 output.

Package: libeasy-format-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: text generation with indentation made easy(ier) for OCaml
 This module offers a simplified interface to the Format module of the
 standard library. Input data must be converted into a tree using 3 kinds
 of nodes: atoms, lists and labelled nodes. Each node is bound to its own
 formatting parameters and a single function call produces the formatted
 output.
 .
 This package contains the shared runtime libraries.
