=== debian/changelog ===
easy-format (1.0.1-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * fix watch file (thanks to Bart Martens)
  * unapply debian changes patch in master
  * add myself as uploader
  * bump debhelper compat level and standards version
  * adjust dependencies
  * remove debian-changes patch; create ocamldoc subdir in rules
  * update home page
  * update copyright file
  * add README.Debian with documentation hints
  * fix lintian Vcs-* warning

 -- Hendrik Tews <hendrik@askra.de>  Fri, 31 May 2013 22:16:56 +0200
