=== debian/control ===
Source: easy-format
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9),
  caml2html
Standards-Version: 3.9.4
Homepage: http://mjambon.com/easy-format.html
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/easy-format.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/easy-format.git

Package: libeasy-format-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: easy(ier) pretty printing for OCaml - development files
 This module offers a simplified interface to the Format module of the
 OCaml standard library. Input data must be converted into a tree
 using 3 kinds of nodes: atoms, lists and labelled nodes. Each node is
 bound to its own formatting parameters and a single function call
 produces the formatted output.
 .
 This package contains the development files for programming with the
 library.

Package: libeasy-format-ocaml
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: easy(ier) pretty printing for OCaml - plugins
 This module offers a simplified interface to the Format module of the
 OCaml standard library. Input data must be converted into a tree
 using 3 kinds of nodes: atoms, lists and labelled nodes. Each node is
 bound to its own formatting parameters and a single function call
 produces the formatted output.
 .
 This package contains the shared runtime libraries.
