=== examples/Makefile ===
# $Id$
.PHONY: clean jsonpp
jsonpp:
	ocamlscript jsonpp.ml sample.json > sample.html
clean:
	rm -f *.exe sample.html
