=== debian/changelog ===
easy-format (1.0.2-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 05 Nov 2015 09:07:02 -0600

easy-format (1.0.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jan 2014 10:07:34 +0100
