=== debian/watch ===
version=3
http://mjambon.com/releases/easy-format/easy-format-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
