=== debian/changelog ===
easy-format (1.2.0-1build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:43:27 +0200

easy-format (1.2.0-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 11:45:39 +0100

easy-format (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 26 Jan 2016 16:10:25 +0100
