=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: easy-format
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
@@ -9,15 +10,15 @@
   dh-ocaml (>= 0.9~),
   debhelper (>= 9),
   caml2html
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mjambon.com/easy-format.html
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/easy-format.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/easy-format.git
+Vcs-Git: https://anonscm.debian.org/git/git/pkg-ocaml-maint/packages/easy-format.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/easy-format.git
 
 Package: libeasy-format-ocaml-dev
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
@@ -35,7 +36,7 @@
 Package: libeasy-format-ocaml
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
