=== debian/watch ===
version=3
https://github.com/mjambon/easy-format/tags .*/v(.*)\.tar\.gz
