## easy-format 1.3.2

=== debian/changelog ===
easy-format (1.3.2-1build3) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:20:31 +0100

easy-format (1.3.2-1build2) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 14:08:26 +0100

easy-format (1.3.2-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:31:36 +0000

easy-format (1.3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jan 2020 08:48:49 +0100
