=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
-  ocaml-nox (>= 3.11.1-3~),
-  ocaml-findlib,
-  dh-ocaml (>= 0.9~),
-  debhelper (>= 9),
-  caml2html
-Standards-Version: 3.9.5
-Homepage: http://mjambon.com/easy-format.html
-Vcs-Git: https://anonscm.debian.org/git/git/pkg-ocaml-maint/packages/easy-format.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/easy-format.git
+ debhelper-compat (= 12),
+ ocaml-nox,
+ ocaml-dune,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/ocaml-community/easy-format
+Vcs-Git: https://salsa.debian.org/ocaml-team/easy-format.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/easy-format
 
 Package: libeasy-format-ocaml-dev
 Architecture: any
