## easy-format 1.3.4

=== Makefile ===
all:
	dune build @all

test:
	dune runtest

install:
	dune install

uninstall:
	dune uninstall

check: test

.PHONY: clean all check test install uninstall

clean:
	dune clean
