=== debian/changelog ===
easy-format (1.3.4-3build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 20:38:00 +0100

easy-format (1.3.4-3build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:09:59 +0200

easy-format (1.3.4-3build2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:46:50 +0200

easy-format (1.3.4-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:07:26 +0100

easy-format (1.3.4-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 08:14:42 +0200

easy-format (1.3.4-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune (Closes: #1041002)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 09:38:01 +0200

easy-format (1.3.4-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Bump debhelper from old 12 to 13
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 19:09:44 +0100
