=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
- debhelper-compat (= 12),
- ocaml-nox,
+ debhelper-compat (= 13),
+ ocaml,
  ocaml-dune,
- dh-ocaml
-Standards-Version: 4.5.0
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/easy-format
 Vcs-Git: https://salsa.debian.org/ocaml-team/easy-format.git
