=== debian/watch ===
version=4
https://github.com/ocaml-community/easy-format/releases .*/archive/v?(.*)\.tar\.gz
